Airwallex logo

Payers

Copy for LLMView as Markdown

By default you make payments from yourself therefore this resource is optional. However if your Airwallex Account allows paying on behalf of others, you can create new payers and this resource becomes mandatory to be defined which payer you are paying from.

Endpoints
GET /api/v1/payers
GET /api/v1/payers/{id}
POST /api/v1/payers/{id}/delete
POST /api/v1/payers/{id}/update
POST /api/v1/payers/create
POST /api/v1/payers/validate

Get list of payers

GET /api/v1/payers

Get list of payers with optional filters on from date/time, to date/time, names and entity type. Results are paginated, with default list limit of 50 results.

Parameters
entity_typestring

Filter on entity type of COMPANY or PERSONAL

from_datestring

The start date of created_at in ISO8601 format (inclusive)

namestring

Filter on name of payer

nick_namestring

Filter on nickname of payer

page_numinteger

Page number, starts from 0.

page_sizeinteger

Number of results per page. Default value is 100.

to_datestring

The end date of created_at in ISO8601 format (inclusive)

Response body - 200 OK
has_moreboolean

A flag which identifies whether there are more results.

itemsarray

Paged results.

items.idstring

id used to uniquely identify this payer contact on the Airwallex platform

items.nicknamestring

Nickname of the payer

items.payerobject

Details of the payer

items.payer.addressobject

Payer's address details

items.payer.address.country_codestring

Payer's country code (2-letter ISO 3166-2 country code)

items.payer.address.citystring

Payer's city

items.payer.address.postcodestring

Payer's post code

items.payer.address.statestring

Payer's state

items.payer.address.street_addressstring

Payer's street address

items.payer.entity_typestring

Entity type of the payer

items.payer.additional_infoobject

Additional information about the payer

items.payer.additional_info.business_registration_numberstring

Business registration number

items.payer.additional_info.business_registration_typestring

Type of business as registered with the local government authority

items.payer.additional_info.external_idstring

Unique identifier of the person in your company

items.payer.additional_info.personal_emailstring

Personal email

items.payer.additional_info.personal_id_numberstring

Personal unique identifier number

items.payer.company_namestring

Company name of the payer

items.payer.date_of_birthstring

Payer's date of birth

items.payer.first_namestring

First name of the payer

items.payer.last_namestring

Last name of the payer

Errors
Error statusDescription
400

Possible errors: field_required, invalid_argument

401

Possible errors: credentials_invalid, credentials_expired

429

Too many requests

500

Service unavailable

GET /api/v1/payers
$curl --request GET \
> --url 'https://api.sandbox.airwallex.com/api/v1/payers' \
> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \
> --header 'Content-Type: application/json'
Response (200 OK)
1{
2 "has_more": false,
3 "items": [
4 {
5 "id": "46c22228-5831-4c53-a4fa-a3ab4954877c",
6 "nickname": "Complete Concrete Pty Ltd",
7 "payer": {
8 "additional_info": {
9 "business_registration_number": "EU300503",
10 "business_registration_type": "Partnership",
11 "external_id": "1234567890",
12 "personal_email": "[email protected]",
13 "personal_id_number": "1234567890"
14 },
15 "address": {
16 "city": "Melbourne",
17 "country_code": "AU",
18 "postcode": "3000",
19 "state": "VIC",
20 "street_address": "15 William Street"
21 },
22 "company_name": "Complete Concrete Pty Ltd",
23 "date_of_birth": "1976-08-26",
24 "entity_type": "COMPANY",
25 "first_name": "James",
26 "last_name": "Smith"
27 }
28 }
29 ]
30}
Was this section helpful?

Get a payer by ID

GET /api/v1/payers/{id}

Get a specific payer by specifying the Airwallex payer_id.

Parameters
idrequiredstring

id of the payer contact to retrieve.

Response body - 200 OK
idstring

id used to uniquely identify this payer contact on the Airwallex platform

nicknamestring

Nickname of the payer

payerobject

Details of the payer

payer.addressobject

Payer's address details

payer.address.country_codestring

Payer's country code (2-letter ISO 3166-2 country code)

payer.address.citystring

Payer's city

payer.address.postcodestring

Payer's post code

payer.address.statestring

Payer's state

payer.address.street_addressstring

Payer's street address

payer.entity_typestring

Entity type of the payer

payer.additional_infoobject

Additional information about the payer

payer.additional_info.business_registration_numberstring

Business registration number

payer.additional_info.business_registration_typestring

Type of business as registered with the local government authority

payer.additional_info.external_idstring

Unique identifier of the person in your company

payer.additional_info.personal_emailstring

Personal email

payer.additional_info.personal_id_numberstring

Personal unique identifier number

payer.company_namestring

Company name of the payer

payer.date_of_birthstring

Payer's date of birth

payer.first_namestring

First name of the payer

payer.last_namestring

Last name of the payer

Errors
Error statusDescription
400

Possible errors: field_required, invalid_argument

401

Possible errors: credentials_invalid, credentials_expired

429

Too many requests

500

Service unavailable

GET /api/v1/payers/{id}
$curl --request GET \
> --url 'https://api.sandbox.airwallex.com/api/v1/payers/payer_id' \
> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \
> --header 'Content-Type: application/json'
Response (200 OK)
1{
2 "id": "46c22228-5831-4c53-a4fa-a3ab4954877c",
3 "nickname": "Complete Concrete Pty Ltd",
4 "payer": {
5 "additional_info": {
6 "business_registration_number": "EU300503",
7 "business_registration_type": "Partnership",
8 "external_id": "1234567890",
9 "personal_email": "[email protected]",
10 "personal_id_number": "1234567890"
11 },
12 "address": {
13 "city": "Melbourne",
14 "country_code": "AU",
15 "postcode": "3000",
16 "state": "VIC",
17 "street_address": "15 William Street"
18 },
19 "company_name": "Complete Concrete Pty Ltd",
20 "date_of_birth": "1976-08-26",
21 "entity_type": "COMPANY",
22 "first_name": "James",
23 "last_name": "Smith"
24 }
25}
Was this section helpful?

Delete existing payer

POST /api/v1/payers/{id}/delete

Delete an existing payer stored on the Airwallex platform.

Parameters
idrequiredstring

id of the payer contact to update.

Response body - 200 OK

OK

Errors
Error statusDescription
400

Possible errors: field_required, invalid_argument

401

Possible errors: credentials_invalid, credentials_expired

429

Too many requests

500

Service unavailable

POST /api/v1/payers/{id}/delete
$curl --request POST \
> --url 'https://api.sandbox.airwallex.com/api/v1/payers/payer_id/delete' \
> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \
> --header 'Content-Type: application/json'
Was this section helpful?

Update existing payer

POST /api/v1/payers/{id}/update

Edit an existing payer stored on the Airwallex platform.

Parameters
idrequiredstring

id of the payer contact to update.

Request body
payerrequiredobject

Details of the payer

payer.addressrequiredobject

Payer's address details

payer.address.country_coderequiredstring

Payer's country code (2-letter ISO 3166-2 country code)

payer.address.citystring

Payer's city

payer.address.postcodestring

Payer's post code

payer.address.statestring

Payer's state

payer.address.street_addressstring

Payer's street address

payer.entity_typerequiredstring

Entity type of the payer

payer.additional_infoobject

Additional information about the payer

payer.additional_info.business_registration_numberstring

Business registration number

payer.additional_info.business_registration_typestring

Type of business as registered with the local government authority

payer.additional_info.external_idstring

Unique identifier of the person in your company

payer.additional_info.personal_emailstring

Personal email

payer.additional_info.personal_id_numberstring

Personal unique identifier number

payer.company_namestring

Company name of the payer

payer.date_of_birthstring

Payer's date of birth

payer.first_namestring

First name of the payer

payer.last_namestring

Last name of the payer

nicknamestring

Nickname of the payer

Response body - 200 OK
idstring

id used to uniquely identify this payer contact on the Airwallex platform

nicknamestring

Nickname of the payer

payerobject

Details of the payer

payer.addressobject

Payer's address details

payer.address.country_codestring

Payer's country code (2-letter ISO 3166-2 country code)

payer.address.citystring

Payer's city

payer.address.postcodestring

Payer's post code

payer.address.statestring

Payer's state

payer.address.street_addressstring

Payer's street address

payer.entity_typestring

Entity type of the payer

payer.additional_infoobject

Additional information about the payer

payer.additional_info.business_registration_numberstring

Business registration number

payer.additional_info.business_registration_typestring

Type of business as registered with the local government authority

payer.additional_info.external_idstring

Unique identifier of the person in your company

payer.additional_info.personal_emailstring

Personal email

payer.additional_info.personal_id_numberstring

Personal unique identifier number

payer.company_namestring

Company name of the payer

payer.date_of_birthstring

Payer's date of birth

payer.first_namestring

First name of the payer

payer.last_namestring

Last name of the payer

Errors
Error statusDescription
400

Possible errors: validation_failed, service_unavailable

401

Possible errors: credentials_invalid, credentials_expired

429

Too many requests

500

Service unavailable

POST /api/v1/payers/{id}/update
$curl --request POST \
> --url 'https://api.sandbox.airwallex.com/api/v1/payers/payer_id/update' \
> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \
> --header 'Content-Type: application/json' \
> --data '{
> "nickname": "Complete Concrete Pty Ltd",
> "payer": {
> "additional_info": {
> "business_registration_number": "EU300503",
> "business_registration_type": "Partnership",
> "external_id": "1234567890",
> "personal_email": "[email protected]",
> "personal_id_number": "1234567890"
> },
> "address": {
> "city": "Melbourne",
> "country_code": "AU",
> "postcode": "3000",
> "state": "VIC",
> "street_address": "15 William Street"
> },
> "company_name": "Complete Concrete Pty Ltd",
> "date_of_birth": "1976-08-26",
> "entity_type": "COMPANY",
> "first_name": "James",
> "last_name": "Smith"
> }
>}'
Response (200 OK)
1{
2 "id": "46c22228-5831-4c53-a4fa-a3ab4954877c",
3 "nickname": "Complete Concrete Pty Ltd",
4 "payer": {
5 "additional_info": {
6 "business_registration_number": "EU300503",
7 "business_registration_type": "Partnership",
8 "external_id": "1234567890",
9 "personal_email": "[email protected]",
10 "personal_id_number": "1234567890"
11 },
12 "address": {
13 "city": "Melbourne",
14 "country_code": "AU",
15 "postcode": "3000",
16 "state": "VIC",
17 "street_address": "15 William Street"
18 },
19 "company_name": "Complete Concrete Pty Ltd",
20 "date_of_birth": "1976-08-26",
21 "entity_type": "COMPANY",
22 "first_name": "James",
23 "last_name": "Smith"
24 }
25}
Was this section helpful?

Create a new payer

POST /api/v1/payers/create

Create a new payer to be stored on the Airwallex platform.

Request body
payerrequiredobject

Details of the payer

payer.addressrequiredobject

Payer's address details

payer.address.country_coderequiredstring

Payer's country code (2-letter ISO 3166-2 country code)

payer.address.citystring

Payer's city

payer.address.postcodestring

Payer's post code

payer.address.statestring

Payer's state

payer.address.street_addressstring

Payer's street address

payer.entity_typerequiredstring

Entity type of the payer

payer.additional_infoobject

Additional information about the payer

payer.additional_info.business_registration_numberstring

Business registration number

payer.additional_info.business_registration_typestring

Type of business as registered with the local government authority

payer.additional_info.external_idstring

Unique identifier of the person in your company

payer.additional_info.personal_emailstring

Personal email

payer.additional_info.personal_id_numberstring

Personal unique identifier number

payer.company_namestring

Company name of the payer

payer.date_of_birthstring

Payer's date of birth

payer.first_namestring

First name of the payer

payer.last_namestring

Last name of the payer

nicknamestring

Nickname of the payer

Response body - 201 Created
idstring

id used to uniquely identify this payer contact on the Airwallex platform

nicknamestring

Nickname of the payer

payerobject

Details of the payer

payer.addressobject

Payer's address details

payer.address.country_codestring

Payer's country code (2-letter ISO 3166-2 country code)

payer.address.citystring

Payer's city

payer.address.postcodestring

Payer's post code

payer.address.statestring

Payer's state

payer.address.street_addressstring

Payer's street address

payer.entity_typestring

Entity type of the payer

payer.additional_infoobject

Additional information about the payer

payer.additional_info.business_registration_numberstring

Business registration number

payer.additional_info.business_registration_typestring

Type of business as registered with the local government authority

payer.additional_info.external_idstring

Unique identifier of the person in your company

payer.additional_info.personal_emailstring

Personal email

payer.additional_info.personal_id_numberstring

Personal unique identifier number

payer.company_namestring

Company name of the payer

payer.date_of_birthstring

Payer's date of birth

payer.first_namestring

First name of the payer

payer.last_namestring

Last name of the payer

Errors
Error statusDescription
400

Possible errors: validation_failed, service_unavailable

401

Possible errors: credentials_invalid, credentials_expired

429

Too many requests

500

Service unavailable

POST /api/v1/payers/create
$curl --request POST \
> --url 'https://api.sandbox.airwallex.com/api/v1/payers/create' \
> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \
> --header 'Content-Type: application/json' \
> --data '{
> "nickname": "Complete Concrete Pty Ltd",
> "payer": {
> "additional_info": {
> "business_registration_number": "EU300503",
> "business_registration_type": "Partnership",
> "external_id": "1234567890",
> "personal_email": "[email protected]",
> "personal_id_number": "1234567890"
> },
> "address": {
> "city": "Melbourne",
> "country_code": "AU",
> "postcode": "3000",
> "state": "VIC",
> "street_address": "15 William Street"
> },
> "company_name": "Complete Concrete Pty Ltd",
> "date_of_birth": "1976-08-26",
> "entity_type": "COMPANY",
> "first_name": "James",
> "last_name": "Smith"
> }
>}'
Response (201 Created)
1{
2 "id": "46c22228-5831-4c53-a4fa-a3ab4954877c",
3 "nickname": "Complete Concrete Pty Ltd",
4 "payer": {
5 "additional_info": {
6 "business_registration_number": "EU300503",
7 "business_registration_type": "Partnership",
8 "external_id": "1234567890",
9 "personal_email": "[email protected]",
10 "personal_id_number": "1234567890"
11 },
12 "address": {
13 "city": "Melbourne",
14 "country_code": "AU",
15 "postcode": "3000",
16 "state": "VIC",
17 "street_address": "15 William Street"
18 },
19 "company_name": "Complete Concrete Pty Ltd",
20 "date_of_birth": "1976-08-26",
21 "entity_type": "COMPANY",
22 "first_name": "James",
23 "last_name": "Smith"
24 }
25}
Was this section helpful?

Validate payer

POST /api/v1/payers/validate

Given a payer request, validate it and return all failed fields as a 400 response. No errors will be OK as a 200 response.

Request body
payerrequiredobject

Details of the payer

payer.addressrequiredobject

Payer's address details

payer.address.country_coderequiredstring

Payer's country code (2-letter ISO 3166-2 country code)

payer.address.citystring

Payer's city

payer.address.postcodestring

Payer's post code

payer.address.statestring

Payer's state

payer.address.street_addressstring

Payer's street address

payer.entity_typerequiredstring

Entity type of the payer

payer.additional_infoobject

Additional information about the payer

payer.additional_info.business_registration_numberstring

Business registration number

payer.additional_info.business_registration_typestring

Type of business as registered with the local government authority

payer.additional_info.external_idstring

Unique identifier of the person in your company

payer.additional_info.personal_emailstring

Personal email

payer.additional_info.personal_id_numberstring

Personal unique identifier number

payer.company_namestring

Company name of the payer

payer.date_of_birthstring

Payer's date of birth

payer.first_namestring

First name of the payer

payer.last_namestring

Last name of the payer

nicknamestring

Nickname of the payer

Response body - 200 OK

OK

Errors
Error statusDescription
400

Possible errors: validation_failed, service_unavailable

401

Possible errors: credentials_invalid, credentials_expired

429

Too many requests

500

Service unavailable

POST /api/v1/payers/validate
$curl --request POST \
> --url 'https://api.sandbox.airwallex.com/api/v1/payers/validate' \
> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \
> --header 'Content-Type: application/json' \
> --data '{
> "nickname": "Complete Concrete Pty Ltd",
> "payer": {
> "additional_info": {
> "business_registration_number": "EU300503",
> "business_registration_type": "Partnership",
> "external_id": "1234567890",
> "personal_email": "[email protected]",
> "personal_id_number": "1234567890"
> },
> "address": {
> "city": "Melbourne",
> "country_code": "AU",
> "postcode": "3000",
> "state": "VIC",
> "street_address": "15 William Street"
> },
> "company_name": "Complete Concrete Pty Ltd",
> "date_of_birth": "1976-08-26",
> "entity_type": "COMPANY",
> "first_name": "James",
> "last_name": "Smith"
> }
>}'
Was this section helpful?